import React, { Component } from 'react';
import { connect} from 'react-redux';
import * as actions from "../actions/staffsAction";
import LeftMenu from '../components/LeftMenu'
import { bindActionCreators } from "redux";
import AllStaffs from "../components/AllStaffs"

import AddNewStaff from '../components/BtnAddNewStaff'

class MainPage extends Component {
 
    componentDidMount(){
        const { getStaffsData } = this.props
        getStaffsData()
        
    }
      render() {
        
        return (
          
          <div className="main">
            
              <AddNewStaff/>
              <LeftMenu/>
              <AllStaffs {...this.props}/>

            
          </div>       
        );
      }
}


const mapStateToProps = state => ({
  inputStaffs: state.staffs.inputStaffs,
  isFetching: state.staffs.isFetching,
});

const mapDispatchToProps = dispatch => bindActionCreators({ ...actions }, dispatch);

export default MainPage = connect(
      mapStateToProps,
      mapDispatchToProps
)(MainPage);