import React from "react";
import { reduxForm, Field } from "redux-form";
import  authValidate  from "../../utils/validate";

const Form = props => {
  const { handleSubmit } = props
    return (
      
      <form className="form" onSubmit={handleSubmit}>
          <Field
             name="email"
             component="input"
             type="email" 
             label="E-mail:"
             placeholder="example@email.com"
             className="input"
          /> 
          <Field
             name="password"
             component="input" 
             type="password" 
              label="Password:" 
             placeholder ="password"
             className="input"  
          />
        <button className="button">Submit</button>
      </form>
      
    );
}

export default reduxForm({ form: "authForm", validate: authValidate })(Form);